JV-SCAN(1)

NAME
jv-scan - print information about Java source file

SYNOPSIS
jv-scan [--complexity] [--encoding=name]
    [--print-main] [--list-class] [--list-filename]
    [--version] [--help]
    [-o file] inputfile...

DESCRIPTION
The "jv-scan" program can be used to print information about a Java source file (.java file).

OPTIONS
This prints a complexity measure, related to cyclomatic complexity, for each input file. This works like the corresponding gcj option. This prints the name of the class in this file containing a "main" method. This lists the names of all classes defined in the input files. If "--list-class" is given, this option causes "jv-scan" to also print the name of the file in which each class was found. Print output to the named file. Print help, then exit. Print version number, then exit.

SEE ALSO
gcc(1), gcj(1), gcjh(1), gij(1), jcf-dump(1), gfdl(7), and the Info entries for gcj and gcc.

COPYRIGHT
Copyright (C) 2001, 2002 Free Software Foundation, Inc.

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.1 or any later version published by the Free Software Foundation; with the Invariant Sections being ``GNU General Public License'', the Front-Cover texts being (a) (see below), and with the Back-Cover Texts being (b) (see below). A copy of the license is included in the man page gfdl(7).